# Script to put the black cursor on the closest peak
# Written by Pascal Mercier, April 24, 1999

proc ClosestPeak {} {


set error [catch "nv_peak close"]
if {$error} {
puts "No peak close to the black cursor"
return
}

set closest [nv_peak close]

set peaklist [nv_win dispeaks]
set peaknum [string trimleft $closest $peaklist]
set peaknum [string trim $peaknum .]

set namefirstdim  [lindex [nv_peak label $peaklist] 0]
set nameseconddim [lindex [nv_peak label $peaklist] 1]

#check if it's a 3D or not
#set namethirddim  [lindex [nv_peak label $peaklist] 2]
#not yet finished

set coordx [nv_peak elem $namefirstdim.P  $peaklist.$peaknum]
set coordy [nv_peak elem $nameseconddim.P $peaklist.$peaknum]


#check the orientation of the spectrum

 if {[nv_win lab x]==$namefirstdim} {
  nv_win cross1 $coordx $coordy
 } else {
  nv_win cross1 $coordy $coordx
 }
unset coordx 
unset coordy
update idletasks
}
